org.apache.ignite.internal.processors.metric.impl

## Class HistogramMetricImpl

- java.lang.Object
- - org.apache.ignite.internal.processors.metric.AbstractMetric
  - - org.apache.ignite.internal.processors.metric.impl.HistogramMetricImpl

All Implemented Interfaces:
  HistogramMetric, Metric, ObjectMetric<long[]>

    public class HistogramMetricImpl
    extends AbstractMetric
    implements HistogramMetric

Histogram metric implementation.

### Constructor Summary

Constructors
Constructor and Description
`HistogramMetricImpl(String name, @Nullable String desc, long[] bounds)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long[]` `bounds()`
`void` `reset()` Resets metric state.
`void` `reset(long[] bounds)` Resets histogram state with the specified bounds.
`Class<long[]>` `type()`
`long[]` `value()`
`void` `value(long x)` Sets value.

### Methods inherited from class org.apache.ignite.internal.processors.metric.AbstractMetric

`description, equals, hashCode, name`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.spi.metric.ObjectMetric

`getAsString`

### Methods inherited from interface org.apache.ignite.spi.metric.Metric

`description, name`

### Constructor Detail

#### HistogramMetricImpl

    public HistogramMetricImpl(String name,
                               @Nullable
                               @Nullable String desc,
                               long[] bounds)

Parameters:
  `name` - Name.
  `desc` - Description.
  `bounds` - Bounds.

### Method Detail

#### value

    public void value(long x)

Sets value.

Parameters:
  `x` - Value.

#### reset

    public void reset(long[] bounds)

Resets histogram state with the specified bounds.

Parameters:
  `bounds` - Bounds.

#### reset

    public void reset()

Resets metric state.

Specified by:
  `reset` in interface `Metric`

#### value

    public long[] value()

Specified by:
  `value` in interface `ObjectMetric<long[]>`
Returns:
  Value ot the metric.

#### bounds

    public long[] bounds()

Specified by:
  `bounds` in interface `HistogramMetric`
Returns:
  Bounds of this histogram.

#### type

    public Class<long[]> type()

Specified by:
  `type` in interface `ObjectMetric<long[]>`
Returns:
  Type of metric value.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020